## org.eclipse.emf.codegen.ecore.genmodel
Interface GenClass

All Superinterfaces:
  EObject, GenBase, GenClassifier, Notifier

All Known Implementing Classes:
  GenClassImpl

    public interface GenClass

extends GenClassifier

A representation of the model object 'Gen Class'.

The following features are supported:

- `Provider`
- `Image`
- `Dynamic`
- `Ecore Class`
- `Gen Features`
- `Gen Operations`
- `Label Feature`

See Also:
  `GenModelPackage.getGenClass()`

Nested Class Summary
`static class` `GenClass.ChildCreationData`

Method Summary
`java.lang.String` `getAbstractFlag()`
`java.util.List<GenClass>` `getAllBaseGenClasses()`
`java.util.List<GenFeature>` `getAllChildrenFeatures()`
`java.util.List<GenFeature>` `getAllCreateChildFeatures()`
`java.util.List<GenFeature>` `getAllCreateChildFeaturesIncludingDelegation()`
`java.util.List<java.lang.String>` `getAllEVirtualIndexBitFields(java.util.List<java.lang.String> allEVirtualIndexBitFields)`
`java.util.List<GenFeature>` `getAllGenFeatures()`
`java.util.List<GenOperation>` `getAllGenOperations()`
`GenClass` `getBaseGenClass()` This returns the GenClass for the first immediate supertype.
`java.util.List<GenClass>` `getBaseGenClasses()`
`java.lang.String` `getCastFromEObject()`
`java.util.List<GenClass.ChildCreationData>` `getChildCreationData()`
`java.util.List<GenClass.ChildCreationData>` `getChildCreationData(GenModel context)`
`java.util.List<GenClass>` `getChildrenClasses(GenFeature genFeature)`
`java.util.List<GenFeature>` `getChildrenFeatures()`
`java.lang.String` `getClassExtends()`
`GenClass` `getClassExtendsGenClass()` This walks up the chain of GenClasses defined by getBaseGenClass() and returns the first that does not represent an abstract class or an interface; that is, the instantiable class that the implementation class should extended.
`java.lang.String` `getClassImplements()`
`java.lang.String` `getClassName()`
`java.lang.String` `getClassTypeArguments()`
`java.util.List<GenFeature>` `getContentNotifyFeatures()`
`java.util.List<GenFeature>` `getCreateChildFeatures()`
`java.util.List<GenFeature>` `getCreateChildFeaturesIncludingDelegation()`
`java.lang.String` `getCreateChildIconFileName(GenFeature feature, GenClass childClass)`
`java.lang.String` `getCreateChildIconFileName(GenModel genModel, GenFeature feature, GenClass childClass)`
`java.util.List<GenClass>` `getCrossPackageChildrenClasses(GenFeature genFeature)`
`java.util.List<GenFeature>` `getCrossPackageCreateChildFeatures()`
`java.util.List<GenFeature>` `getDeclaredFieldGenFeatures()`
`java.util.List<GenFeature>` `getDeclaredGenFeatures()`
`java.util.List<GenOperation>` `getDeclaredGenOperations()`
`java.util.List<GenFeature>` `getEBasicRemoveFromContainerGenFeatures()`
`EClass` `getEcoreClass()` Returns the value of the 'Ecore Class' reference
`java.util.List<GenFeature>` `getEGetGenFeatures()`
`java.util.List<GenFeature>` `getEInverseAddGenFeatures()`
`java.util.List<GenFeature>` `getEInverseRemoveGenFeatures()`
`java.util.List<GenFeature>` `getEIsSetGenFeatures()`
`int` `getESetFlagIndex(GenFeature genFeature)`
`java.lang.String` `getESetFlagsField(GenFeature genFeature)`
`java.util.List<GenFeature>` `getESetGenFeatures()`
`java.util.List<GenFeature>` `getEUnsetGenFeatures()`
`java.util.List<java.lang.String>` `getEVirtualIndexBitFields(java.util.List<java.lang.String> eVirtualIndexBitFields)`
`java.lang.String` `getEVirtualValuesField()`
`java.util.List<GenClass>` `getExtendedGenClasses()`
`java.util.List<GenFeature>` `getExtendedGenFeatures()`
`java.util.List<GenOperation>` `getExtendedGenOperations()`
`int` `getFeatureCount()`
`java.lang.String` `getFeatureCountID()`
`java.lang.String` `getFeatureCountValue()`
`java.lang.String` `getFeatureID(GenFeature genFeature)`
`java.lang.String` `getFeatureValue(GenFeature genFeature)`
`java.util.List<GenFeature>` `getFlagGenFeatures()`
`java.util.List<GenFeature>` `getFlagGenFeatures(java.lang.String staticDefaultValue)` Deprecated. use `getFlagGenFeaturesWithDefault()`
`java.util.List<GenFeature>` `getFlagGenFeaturesWithDefault()`
`int` `getFlagIndex(GenFeature genFeature)`
`java.lang.String` `getFlagMask(GenFeature genFeature)`
`java.lang.String` `getFlagsField(GenFeature genFeature)`
`int` `getFlagSize(GenFeature genFeature)`
`EList<GenFeature>` `getGenFeatures()` Returns the value of the 'Gen Features' containment reference list.
`EList<GenOperation>` `getGenOperations()` Returns the value of the 'Gen Operations' containment reference list.
`GenOperation` `getGetAccessorOperation(GenFeature genFeature)`
`java.util.List<GenClass>` `getImplementedGenClasses()`
`java.util.List<GenFeature>` `getImplementedGenFeatures()`
`java.util.List<GenOperation>` `getImplementedGenOperations()`
`GenModel` `getImplementingGenModel(GenFeature genFeature)`
`java.lang.String` `getImportedClassName()`
`java.lang.String` `getImportedInterfaceName()`
`java.lang.String` `getImportedProviderClassName()`
`java.lang.String` `getImportedTestCaseClassName()`
`java.util.List<GenFeature>` `getInheritedGenFeatures()`
`java.lang.String` `getInterfaceExtends()`
`java.lang.String` `getInterfaceFlag()`
`java.lang.String` `getInterfaceName()` This should only be called when there is actually an interface being generated (i.e. when, for certain, this is not an external interface).
`java.lang.String` `getInterfaceTypeArguments()`
`java.lang.String` `getInterfaceWildTypeArguments()`
`GenOperation` `getInvariantOperation(java.lang.String constraint)`
`java.util.List<GenOperation>` `getInvariantOperations()`
`GenOperation` `getIsSetAccessorOperation(GenFeature genFeature)`
`java.lang.String` `getItemIconFileName()`
`java.lang.String` `getItemProviderAdapterFactoryClassName()`
`java.util.List<GenFeature>` `getLabelAndContentNotifyFeatures()`
`GenFeature` `getLabelFeature()` Returns the value of the 'Label Feature' reference
`java.util.List<GenFeature>` `getLabelFeatureCandidates()`
`java.util.List<GenFeature>` `getLabelNotifyFeatures()`
`java.lang.String` `getListConstructor(GenFeature genFeature)`
`java.lang.String` `getLocalFeatureIndex(GenFeature genFeature)`
`GenFeature` `getMapEntryKeyFeature()`
`GenFeature` `getMapEntryValueFeature()`
`GenFeature` `getMixedGenFeature()`
`java.util.List<GenClass>` `getMixinGenClasses()`
`java.util.List<GenFeature>` `getMixinGenFeatures()`
`java.util.List<GenOperation>` `getMixinGenOperations()`
`java.lang.String` `getModelInfo()`
`java.util.List<GenFeature>` `getNotifyFeatures()`
`java.lang.String` `getOffsetCorrectionField(GenFeature genFeature)`
`java.lang.String` `getOperationID(GenOperation genOperation)`
`java.util.List<GenFeature>` `getPropertyFeatures()`
`GenProviderKind` `getProvider()` Returns the value of the 'Provider' attribute.
`java.lang.String` `getProviderBaseClassName()`
`java.lang.String` `getProviderClassName()`
`GenClass` `getProviderExtendsGenClass()`
`java.util.List<GenClass>` `getProviderImplementedGenClasses()`
`java.lang.String` `getQualifiedClassName()`
`java.lang.String` `getQualifiedFeatureCountID()`
`java.lang.String` `getQualifiedFeatureID(GenFeature genFeature)`
`java.lang.String` `getQualifiedInterfaceName()`
`java.lang.String` `getQualifiedProviderClassName()`
`java.lang.String` `getQualifiedTestCaseClassName()`
`java.lang.String` `getRawImportedInterfaceName()`
`GenOperation` `getSetAccessorOperation(GenFeature genFeature)`
`java.util.List<GenFeature>` `getSharedClassCreateChildFeatures()`
`java.util.List<GenClass>` `getSwitchGenClasses()` Like getAllBaseGenClasses(), this returns the GenClasses for all of the supertypes, but the result is ordered by a breadth-first search, making it appropriate for use in the switch class.
`java.lang.String` `getTestCaseClassName()`
`java.util.List<GenFeature>` `getToStringGenFeatures()`
`java.lang.String` `getTypeParameters()`
`java.lang.String` `getUncapName()` This returns the name uncapitalized.
`GenOperation` `getUnsetAccessorOperation(GenFeature genFeature)`
`boolean` `hasCollidingGetAccessorOperation(GenFeature genFeature)`
`boolean` `hasCollidingIsSetAccessorOperation(GenFeature genFeature)`
`boolean` `hasCollidingSetAccessorOperation(GenFeature genFeature)`
`boolean` `hasCollidingUnsetAccessorOperation(GenFeature genFeature)`
`boolean` `hasFactoryInterfaceCreateMethod()`
`boolean` `hasFeatureMapCreateChildFeatures()`
`boolean` `hasGenericSuperTypes()`
`boolean` `hasImplementedToStringGenOperation()`
`boolean` `hasOffsetCorrection()`
`boolean` `hasTests()`
`boolean` `implementsAny(java.util.Collection<GenFeature> genFeatures)`
`void` `initialize(EClass eClass)`
`boolean` `isAbstract()`
`boolean` `isDocumentRoot()`
`boolean` `isDynamic()` Returns the value of the 'Dynamic' attribute
`boolean` `isEObject()`
`boolean` `isEObjectExtension()`
`boolean` `isESetField(GenFeature genFeature)`
`boolean` `isESetFlag(GenFeature genFeature)`
`boolean` `isExternalInterface()` This indicates that there is already an existing interface for this class or interface, so none will be generated.
`boolean` `isField(GenFeature genFeature)`
`boolean` `isFlag(GenFeature genFeature)`
`boolean` `isImage()` Returns the value of the 'Image' attribute.
`boolean` `isInterface()`
`boolean` `isJavaIOSerializable()`
`boolean` `isMapEntry()`
`boolean` `isModelRoot()`
`boolean` `isProviderSingleton()`
`boolean` `needsHasChildrenMethodOverride()`
`boolean` `needsRootExtendsInterfaceExtendsTag()`
`boolean` `reconcile(GenClass oldGenClassVersion)`
`void` `setDynamic(boolean value)` Sets the value of the '`Dynamic`' attribute
`void` `setEcoreClass(EClass value)` Sets the value of the '`Ecore Class`' reference
`void` `setImage(boolean value)` Sets the value of the '`Image`' attribute
`void` `setLabelFeature(GenFeature value)` Sets the value of the '`Label Feature`' reference
`void` `setProvider(GenProviderKind value)` Sets the value of the '`Provider`' attribute

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier

`getAllGenConstraints, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getConstraintDelegate, getConstraintImplementor, getEcoreClassifier, getFormattedName, getGenConstraints, getGeneratedInstanceClassFlag, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedInstanceClassName, getImportedMetaType, getImportedParameterizedInstanceClassName, getImportedWildcardInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getRawImportedInstanceClassName, getRawInstanceClassName, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getProvider

    GenProviderKind getProvider()

  Returns the value of the 'Provider' attribute. The literals are from the enumeration `GenProviderKind`.

  Returns:
    the value of the 'Provider' attribute.
  See Also:
    `GenProviderKind`, `setProvider(GenProviderKind)`, `GenModelPackage.getGenClass_Provider()`

### setProvider

    void setProvider(GenProviderKind value)

  Sets the value of the '`Provider`' attribute.

  Parameters:
    `value` - the new value of the 'Provider' attribute.
  See Also:
    `GenProviderKind`, `getProvider()`

### isImage

    boolean isImage()

  Returns the value of the 'Image' attribute. The default value is `"true"`.

  Returns:
    the value of the 'Image' attribute.
  See Also:
    `setImage(boolean)`, `GenModelPackage.getGenClass_Image()`

### setImage

    void setImage(boolean value)

  Sets the value of the '`Image`' attribute.

  Parameters:
    `value` - the new value of the 'Image' attribute.
  See Also:
    `isImage()`

### isDynamic

    boolean isDynamic()

  Returns the value of the 'Dynamic' attribute.

  Returns:
    the value of the 'Dynamic' attribute.
  See Also:
    `setDynamic(boolean)`, `GenModelPackage.getGenClass_Dynamic()`

### setDynamic

    void setDynamic(boolean value)

  Sets the value of the '`Dynamic`' attribute.

  Parameters:
    `value` - the new value of the 'Dynamic' attribute.
  See Also:
    `isDynamic()`

### getEcoreClass

    EClass getEcoreClass()

  Returns the value of the 'Ecore Class' reference.

  Returns:
    the value of the 'Ecore Class' reference.
  See Also:
    `setEcoreClass(EClass)`, `GenModelPackage.getGenClass_EcoreClass()`

### setEcoreClass

    void setEcoreClass(EClass value)

  Sets the value of the '`Ecore Class`' reference.

  Parameters:
    `value` - the new value of the 'Ecore Class' reference.
  See Also:
    `getEcoreClass()`

### getGenFeatures

    EList<GenFeature> getGenFeatures()

  Returns the value of the 'Gen Features' containment reference list. The list contents are of type `GenFeature`. It is bidirectional and its opposite is '`Gen Class`'.

  Returns:
    the value of the 'Gen Features' containment reference list.
  See Also:
    `GenModelPackage.getGenClass_GenFeatures()`, `GenFeature.getGenClass()`

### getGenOperations

    EList<GenOperation> getGenOperations()

  Returns the value of the 'Gen Operations' containment reference list. The list contents are of type `GenOperation`. It is bidirectional and its opposite is '`Gen Class`'.

  Returns:
    the value of the 'Gen Operations' containment reference list.
  See Also:
    `GenModelPackage.getGenClass_GenOperations()`, `GenOperation.getGenClass()`

### getLabelFeature

    GenFeature getLabelFeature()

  Returns the value of the 'Label Feature' reference.

  Returns:
    the value of the 'Label Feature' reference.
  See Also:
    `setLabelFeature(GenFeature)`, `GenModelPackage.getGenClass_LabelFeature()`

### setLabelFeature

    void setLabelFeature(GenFeature value)

  Sets the value of the '`Label Feature`' reference.

  Parameters:
    `value` - the new value of the 'Label Feature' reference.
  See Also:
    `getLabelFeature()`

### getInterfaceName

    java.lang.String getInterfaceName()

  This should only be called when there is actually an interface being generated (i.e. when, for certain, this is not an external interface). Otherwise, getImportedInterfaceName() should be used.

### getQualifiedInterfaceName

    java.lang.String getQualifiedInterfaceName()

### getImportedInterfaceName

    java.lang.String getImportedInterfaceName()

### getRawImportedInterfaceName

    java.lang.String getRawImportedInterfaceName()

  Since:
    2.3

### getClassName

    java.lang.String getClassName()

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

### getImportedClassName

    java.lang.String getImportedClassName()

### getUncapName

    java.lang.String getUncapName()

  This returns the name uncapitalized. Callers that plan to use this name without appending a suffix should call getSafeUncapInterfaceName() to make sure it's not a reserved word.

### getBaseGenClasses

    java.util.List<GenClass> getBaseGenClasses()

### getAllBaseGenClasses

    java.util.List<GenClass> getAllBaseGenClasses()

### getSwitchGenClasses

    java.util.List<GenClass> getSwitchGenClasses()

  Like getAllBaseGenClasses(), this returns the GenClasses for all of the supertypes, but the result is ordered by a breadth-first search, making it appropriate for use in the switch class.

### getBaseGenClass

    GenClass getBaseGenClass()

  This returns the GenClass for the first immediate supertype.

### getClassExtendsGenClass

    GenClass getClassExtendsGenClass()

  This walks up the chain of GenClasses defined by getBaseGenClass() and returns the first that does not represent an abstract class or an interface; that is, the instantiable class that the implementation class should extended.

### getClassExtends

    java.lang.String getClassExtends()

### getClassImplements

    java.lang.String getClassImplements()

### getInterfaceExtends

    java.lang.String getInterfaceExtends()

### needsRootExtendsInterfaceExtendsTag

    boolean needsRootExtendsInterfaceExtendsTag()

### hasGenericSuperTypes

    boolean hasGenericSuperTypes()

  Since:
    2.3

### getTypeParameters

    java.lang.String getTypeParameters()

  Since:
    2.3

### getInterfaceTypeArguments

    java.lang.String getInterfaceTypeArguments()

  Since:
    2.3

### getInterfaceWildTypeArguments

    java.lang.String getInterfaceWildTypeArguments()

  Since:
    2.3

### getClassTypeArguments

    java.lang.String getClassTypeArguments()

  Since:
    2.3

### getAllGenFeatures

    java.util.List<GenFeature> getAllGenFeatures()

### getInheritedGenFeatures

    java.util.List<GenFeature> getInheritedGenFeatures()

### getAllGenOperations

    java.util.List<GenOperation> getAllGenOperations()

### getFeatureID

    java.lang.String getFeatureID(GenFeature genFeature)

### getQualifiedFeatureID

    java.lang.String getQualifiedFeatureID(GenFeature genFeature)

### getOperationID

    java.lang.String getOperationID(GenOperation genOperation)

### getFeatureValue

    java.lang.String getFeatureValue(GenFeature genFeature)

### getLocalFeatureIndex

    java.lang.String getLocalFeatureIndex(GenFeature genFeature)

### getFlagsField

    java.lang.String getFlagsField(GenFeature genFeature)

### getFlagIndex

    int getFlagIndex(GenFeature genFeature)

### getFlagSize

    int getFlagSize(GenFeature genFeature)

  Since:
    2.4

### getFlagMask

    java.lang.String getFlagMask(GenFeature genFeature)

  Since:
    2.4

### getESetFlagsField

    java.lang.String getESetFlagsField(GenFeature genFeature)

### getESetFlagIndex

    int getESetFlagIndex(GenFeature genFeature)

### getFeatureCountID

    java.lang.String getFeatureCountID()

### getQualifiedFeatureCountID

    java.lang.String getQualifiedFeatureCountID()

### getFeatureCountValue

    java.lang.String getFeatureCountValue()

### getFeatureCount

    int getFeatureCount()

### isEObject

    boolean isEObject()

### isEObjectExtension

    boolean isEObjectExtension()

### getCastFromEObject

    java.lang.String getCastFromEObject()

### isAbstract

    boolean isAbstract()

### getAbstractFlag

    java.lang.String getAbstractFlag()

### isInterface

    boolean isInterface()

### getInterfaceFlag

    java.lang.String getInterfaceFlag()

### isExternalInterface

    boolean isExternalInterface()

  This indicates that there is already an existing interface for this class or interface, so none will be generated. Any other generated that wishes to refer to its interface should use the value from getQualifiedInterfaceName() or getImportedInterfaceName().

### isMapEntry

    boolean isMapEntry()

### getMapEntryKeyFeature

    GenFeature getMapEntryKeyFeature()

### getMapEntryValueFeature

    GenFeature getMapEntryValueFeature()

### getImplementedGenClasses

    java.util.List<GenClass> getImplementedGenClasses()

### getImplementedGenFeatures

    java.util.List<GenFeature> getImplementedGenFeatures()

### getImplementedGenOperations

    java.util.List<GenOperation> getImplementedGenOperations()

### hasImplementedToStringGenOperation

    boolean hasImplementedToStringGenOperation()

  Since:
    2.4

### getImplementingGenModel

    GenModel getImplementingGenModel(GenFeature genFeature)

### implementsAny

    boolean implementsAny(java.util.Collection<GenFeature> genFeatures)

### getExtendedGenClasses

    java.util.List<GenClass> getExtendedGenClasses()

### getExtendedGenFeatures

    java.util.List<GenFeature> getExtendedGenFeatures()

### getExtendedGenOperations

    java.util.List<GenOperation> getExtendedGenOperations()

### getDeclaredFieldGenFeatures

    java.util.List<GenFeature> getDeclaredFieldGenFeatures()

### getDeclaredGenFeatures

    java.util.List<GenFeature> getDeclaredGenFeatures()

### getDeclaredGenOperations

    java.util.List<GenOperation> getDeclaredGenOperations()

### getFlagGenFeatures

    java.util.List<GenFeature> getFlagGenFeatures()

### getFlagGenFeatures

    @Deprecated
    java.util.List<GenFeature> getFlagGenFeatures(java.lang.String staticDefaultValue)

  Deprecated. use `getFlagGenFeaturesWithDefault()`

### getFlagGenFeaturesWithDefault

    java.util.List<GenFeature> getFlagGenFeaturesWithDefault()

  Since:
    2.4

### getEGetGenFeatures

    java.util.List<GenFeature> getEGetGenFeatures()

### getEIsSetGenFeatures

    java.util.List<GenFeature> getEIsSetGenFeatures()

### getESetGenFeatures

    java.util.List<GenFeature> getESetGenFeatures()

### getEUnsetGenFeatures

    java.util.List<GenFeature> getEUnsetGenFeatures()

### getEInverseAddGenFeatures

    java.util.List<GenFeature> getEInverseAddGenFeatures()

### getEInverseRemoveGenFeatures

    java.util.List<GenFeature> getEInverseRemoveGenFeatures()

### getEBasicRemoveFromContainerGenFeatures

    java.util.List<GenFeature> getEBasicRemoveFromContainerGenFeatures()

### getToStringGenFeatures

    java.util.List<GenFeature> getToStringGenFeatures()

### getMixinGenClasses

    java.util.List<GenClass> getMixinGenClasses()

### getMixinGenFeatures

    java.util.List<GenFeature> getMixinGenFeatures()

### getMixinGenOperations

    java.util.List<GenOperation> getMixinGenOperations()

### initialize

    void initialize(EClass eClass)

### getProviderClassName

    java.lang.String getProviderClassName()

### getQualifiedProviderClassName

    java.lang.String getQualifiedProviderClassName()

### getImportedProviderClassName

    java.lang.String getImportedProviderClassName()

### isProviderSingleton

    boolean isProviderSingleton()

### getItemIconFileName

    java.lang.String getItemIconFileName()

### getCreateChildIconFileName

    java.lang.String getCreateChildIconFileName(GenModel genModel,
                                                GenFeature feature,
                                                GenClass childClass)

  Since:
    2.4

### getCreateChildIconFileName

    java.lang.String getCreateChildIconFileName(GenFeature feature,
                                                GenClass childClass)

### getProviderExtendsGenClass

    GenClass getProviderExtendsGenClass()

  Since:
    2.4

### getProviderBaseClassName

    java.lang.String getProviderBaseClassName()

### getProviderImplementedGenClasses

    java.util.List<GenClass> getProviderImplementedGenClasses()

### getLabelFeatureCandidates

    java.util.List<GenFeature> getLabelFeatureCandidates()

### getPropertyFeatures

    java.util.List<GenFeature> getPropertyFeatures()

### getNotifyFeatures

    java.util.List<GenFeature> getNotifyFeatures()

### getLabelNotifyFeatures

    java.util.List<GenFeature> getLabelNotifyFeatures()

### getContentNotifyFeatures

    java.util.List<GenFeature> getContentNotifyFeatures()

### getLabelAndContentNotifyFeatures

    java.util.List<GenFeature> getLabelAndContentNotifyFeatures()

### getChildrenFeatures

    java.util.List<GenFeature> getChildrenFeatures()

### getAllChildrenFeatures

    java.util.List<GenFeature> getAllChildrenFeatures()

### getCreateChildFeatures

    java.util.List<GenFeature> getCreateChildFeatures()

### getAllCreateChildFeatures

    java.util.List<GenFeature> getAllCreateChildFeatures()

### getCreateChildFeaturesIncludingDelegation

    java.util.List<GenFeature> getCreateChildFeaturesIncludingDelegation()

  Since:
    2.4

### getAllCreateChildFeaturesIncludingDelegation

    java.util.List<GenFeature> getAllCreateChildFeaturesIncludingDelegation()

### getCrossPackageCreateChildFeatures

    java.util.List<GenFeature> getCrossPackageCreateChildFeatures()

### getSharedClassCreateChildFeatures

    java.util.List<GenFeature> getSharedClassCreateChildFeatures()

### hasFeatureMapCreateChildFeatures

    boolean hasFeatureMapCreateChildFeatures()

### getChildCreationData

    java.util.List<GenClass.ChildCreationData> getChildCreationData(GenModel context)

  Since:
    2.4

### getChildCreationData

    java.util.List<GenClass.ChildCreationData> getChildCreationData()

  Since:
    2.4

### getChildrenClasses

    java.util.List<GenClass> getChildrenClasses(GenFeature genFeature)

### getCrossPackageChildrenClasses

    java.util.List<GenClass> getCrossPackageChildrenClasses(GenFeature genFeature)

### getItemProviderAdapterFactoryClassName

    java.lang.String getItemProviderAdapterFactoryClassName()

### getTestCaseClassName

    java.lang.String getTestCaseClassName()

### getQualifiedTestCaseClassName

    java.lang.String getQualifiedTestCaseClassName()

### getImportedTestCaseClassName

    java.lang.String getImportedTestCaseClassName()

### getModelInfo

    java.lang.String getModelInfo()

### reconcile

    boolean reconcile(GenClass oldGenClassVersion)

### getInvariantOperations

    java.util.List<GenOperation> getInvariantOperations()

### getInvariantOperation

    GenOperation getInvariantOperation(java.lang.String constraint)

### isDocumentRoot

    boolean isDocumentRoot()

### getMixedGenFeature

    GenFeature getMixedGenFeature()

### getListConstructor

    java.lang.String getListConstructor(GenFeature genFeature)

### isModelRoot

    boolean isModelRoot()

### isFlag

    boolean isFlag(GenFeature genFeature)

### isESetFlag

    boolean isESetFlag(GenFeature genFeature)

### isField

    boolean isField(GenFeature genFeature)

### isESetField

    boolean isESetField(GenFeature genFeature)

### hasTests

    boolean hasTests()

### getEVirtualValuesField

    java.lang.String getEVirtualValuesField()

### getEVirtualIndexBitFields

    java.util.List<java.lang.String> getEVirtualIndexBitFields(java.util.List<java.lang.String> eVirtualIndexBitFields)

### getAllEVirtualIndexBitFields

    java.util.List<java.lang.String> getAllEVirtualIndexBitFields(java.util.List<java.lang.String> allEVirtualIndexBitFields)

### isJavaIOSerializable

    boolean isJavaIOSerializable()

### hasFactoryInterfaceCreateMethod

    boolean hasFactoryInterfaceCreateMethod()

### hasOffsetCorrection

    boolean hasOffsetCorrection()

  Since:
    2.3

### getOffsetCorrectionField

    java.lang.String getOffsetCorrectionField(GenFeature genFeature)

  Since:
    2.3

### needsHasChildrenMethodOverride

    boolean needsHasChildrenMethodOverride()

  Since:
    2.4

### getGetAccessorOperation

    GenOperation getGetAccessorOperation(GenFeature genFeature)

  Since:
    2.4

### getIsSetAccessorOperation

    GenOperation getIsSetAccessorOperation(GenFeature genFeature)

  Since:
    2.4

### getSetAccessorOperation

    GenOperation getSetAccessorOperation(GenFeature genFeature)

  Since:
    2.4

### getUnsetAccessorOperation

    GenOperation getUnsetAccessorOperation(GenFeature genFeature)

  Since:
    2.4

### hasCollidingGetAccessorOperation

    boolean hasCollidingGetAccessorOperation(GenFeature genFeature)

  Since:
    2.4

### hasCollidingIsSetAccessorOperation

    boolean hasCollidingIsSetAccessorOperation(GenFeature genFeature)

  Since:
    2.4

### hasCollidingSetAccessorOperation

    boolean hasCollidingSetAccessorOperation(GenFeature genFeature)

  Since:
    2.4

### hasCollidingUnsetAccessorOperation

    boolean hasCollidingUnsetAccessorOperation(GenFeature genFeature)

  Since:
    2.4

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.